Subject: Re: bug#10961: weird messages on sending mail

From: Sam Steingold <[email-masked]>
Date: Wed, 14 Mar 2012 17:04:37 -0400

> * Lars Magne Ingebrigtsen <[email-masked]> [2012-03-14 21:53:22 +0100]:
>
> Sam Steingold <[email-masked]> writes:
>
>> now the directories are back and with them the messages.
>> I have a lot of old messages marked so that I would be able to access
>> them easily. I already complained that this makes entering a group
>> _very_ slow; now I also have to contend with these marks/<group>
>> directories and messages
>
> Does this mean that you've set `gnus-propagate-marks' to t?

gnus-propagate-marks ==> nil
nntp-marks-is-evil ==> nil

Debugger entered--Lisp error: (file-error "Creating directory" "not a directory" "/home/sds/Mail/marks/news.gmane.org")
  make-directory-internal("/home/sds/Mail/marks/news.gmane.org")
  make-directory("/home/sds/Mail/marks/news.gmane.org/gmane.emacs.bbdb.user" t)
  nntp-possibly-create-directory("gmane.emacs.bbdb.user" "news.gmane.org")
  nntp-request-set-mark("gmane.emacs.bbdb.user" (((3069 3070) add (tick))) "news.gmane.org")
  gnus-request-set-mark("gmane.emacs.bbdb.user" (((3069 3070) add (tick))))
  gnus-update-marks()
  gnus-summary-update-info()
  gnus-summary-exit()
  call-interactively(gnus-summary-exit)
  gnus-article-read-summary-keys(nil)
  call-interactively(gnus-article-read-summary-keys nil nil)

do I need to put

(nntp-marks-is-evil t) (nntp-marks-directory nil)

into all my nntp select methods?
and, I guess, the same for nnimap-marks-is-evil?

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11004000
http://www.childpsy.net/ http://ffii.org http://truepeace.org
http://www.memritv.org http://iris.org.il
Independence: nobody pays for you.  Liberty: nobody thinks for you.